com.google.gwt.aria.client

## Class OptionRoleImpl

- java.lang.Object
- - com.google.gwt.aria.client.RoleImpl
  - - com.google.gwt.aria.client.OptionRoleImpl

- All Implemented Interfaces:
    InputRole, OptionRole, Role, WidgetRole

      class OptionRoleImpl
      extends RoleImpl
      implements OptionRole

  Implements `OptionRole`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OptionRoleImpl(java.lang.String roleName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAriaCheckedState(Element element)` Returns the value of the aria-checked attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaPosinsetProperty(Element element)` Returns the value of the aria-posinset attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaSelectedState(Element element)` Returns the value of the aria-selected attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaSetsizeProperty(Element element)` Returns the value of the aria-setsize attribute for the `element` or "" if no such attribute is present.
    `void` | `removeAriaCheckedState(Element element)` Removes the aria-checked attribute from the `element`.
    `void` | `removeAriaPosinsetProperty(Element element)` Removes the aria-posinset attribute from the `element`.
    `void` | `removeAriaSelectedState(Element element)` Removes the aria-selected attribute from the `element`.
    `void` | `removeAriaSetsizeProperty(Element element)` Removes the aria-setsize attribute from the `element`.
    `void` | `setAriaCheckedState(Element element, CheckedValue value)` Sets the aria-checked attribute for the `element` to the given `value`.
    `void` | `setAriaPosinsetProperty(Element element, int value)` Sets the aria-posinset attribute for the `element` to the given `value`.
    `void` | `setAriaSelectedState(Element element, SelectedValue value)` Sets the aria-selected attribute for the `element` to the given `value`.
    `void` | `setAriaSetsizeProperty(Element element, int value)` Sets the aria-setsize attribute for the `element` to the given `value`.

    - ### Methods inherited from class com.google.gwt.aria.client.RoleImpl

      `getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.aria.client.Role

      `getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

- - ### Constructor Detail

    - #### OptionRoleImpl

          OptionRoleImpl(java.lang.String roleName)

  - ### Method Detail

    - #### getAriaCheckedState

          public java.lang.String getAriaCheckedState(Element element)

      Description copied from interface: `OptionRole`
      Returns the value of the aria-checked attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaCheckedState` in interface `OptionRole`

    - #### getAriaPosinsetProperty

          public java.lang.String getAriaPosinsetProperty(Element element)

      Description copied from interface: `OptionRole`
      Returns the value of the aria-posinset attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaPosinsetProperty` in interface `OptionRole`

    - #### getAriaSelectedState

          public java.lang.String getAriaSelectedState(Element element)

      Description copied from interface: `OptionRole`
      Returns the value of the aria-selected attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaSelectedState` in interface `OptionRole`

    - #### getAriaSetsizeProperty

          public java.lang.String getAriaSetsizeProperty(Element element)

      Description copied from interface: `OptionRole`
      Returns the value of the aria-setsize attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaSetsizeProperty` in interface `OptionRole`

    - #### removeAriaCheckedState

          public void removeAriaCheckedState(Element element)

      Description copied from interface: `OptionRole`
      Removes the aria-checked attribute from the `element`.
      Specified by:
        `removeAriaCheckedState` in interface `OptionRole`

    - #### removeAriaPosinsetProperty

          public void removeAriaPosinsetProperty(Element element)

      Description copied from interface: `OptionRole`
      Removes the aria-posinset attribute from the `element`.
      Specified by:
        `removeAriaPosinsetProperty` in interface `OptionRole`

    - #### removeAriaSelectedState

          public void removeAriaSelectedState(Element element)

      Description copied from interface: `OptionRole`
      Removes the aria-selected attribute from the `element`.
      Specified by:
        `removeAriaSelectedState` in interface `OptionRole`

    - #### removeAriaSetsizeProperty

          public void removeAriaSetsizeProperty(Element element)

      Description copied from interface: `OptionRole`
      Removes the aria-setsize attribute from the `element`.
      Specified by:
        `removeAriaSetsizeProperty` in interface `OptionRole`

    - #### setAriaCheckedState

          public void setAriaCheckedState(Element element,
                                          CheckedValue value)

      Description copied from interface: `OptionRole`
      Sets the aria-checked attribute for the `element` to the given `value`.
      Specified by:
        `setAriaCheckedState` in interface `OptionRole`

    - #### setAriaPosinsetProperty

          public void setAriaPosinsetProperty(Element element,
                                              int value)

      Description copied from interface: `OptionRole`
      Sets the aria-posinset attribute for the `element` to the given `value`.
      Specified by:
        `setAriaPosinsetProperty` in interface `OptionRole`

    - #### setAriaSelectedState

          public void setAriaSelectedState(Element element,
                                           SelectedValue value)

      Description copied from interface: `OptionRole`
      Sets the aria-selected attribute for the `element` to the given `value`.
      Specified by:
        `setAriaSelectedState` in interface `OptionRole`

    - #### setAriaSetsizeProperty

          public void setAriaSetsizeProperty(Element element,
                                             int value)

      Description copied from interface: `OptionRole`
      Sets the aria-setsize attribute for the `element` to the given `value`.
      Specified by:
        `setAriaSetsizeProperty` in interface `OptionRole`